
%--------- Read Input From Excel--------------------------
 Input1 = xlsread('inputdata.xlsx');
 Input2 = xlsread('inputdata.xlsx', 'Sheet2');
 
 %-------- Run weather generation ------------------------
 run('mcwave')
 run('mcwave_exp')
 run('mcwave_CV')
 
 %---------- SCENARIO -------------------------------------
%Production Volume
    Sc_production = Input1(1,2); 
%Weather
    %CV
    Sc_weather_CV_per_1 = Input1(5,2);
    Sc_weather_CV_per_2 = Input1(6,2);
    Sc_weather_0_CV = Input1(7,3);
    Sc_weather_CV_Hs_1 = Input1(5,3);
    Sc_weather_CV_Hs_2 = Input1(6,3);
    %LFC and Proc
    Sc_weather_per_1 = Input1(5,5);
    Sc_weather_per_2 = Input1(6,5);
    Sc_weather_Hs_1 = Input1(5,6);
    Sc_weather_Hs_2 = Input1(6,6);
    Sc_weather_0 = Input1(7,6);
    %Cage operations
    Sc_weather_trad_limit = Input1(5,8);
    Sc_weather_exp_limit = Input1(6,8);
    Sc_weather_exp_trad_ratio = Input1(8,8);
%Cooperation
    Sc_coop = Input1(11,2);
    Sc_coop_wait_limit = Input1(12,2);
    
    if Sc_coop == 1
        CoopFactor = 0.333;
    else
        CoopFactor = 1;
    end
    
 % Emergency Slaughter
    Sc_emergency_tonnes_trad = Input1(18,2);
    Sc_emergency_nr_trad = Input1(19,2);
    Sc_emergency_tonnes_exp = Input1(18,5);
    Sc_emergency_nr_exp = Input1(19,5);
    
    %Vestor Creation
     SlaughterVec = zeros(1,Sc_emergency_tonnes_trad+1);
    
     if Sc_emergency_tonnes_trad == 0
         SlaughterVec(1)=0;
     else %Impose Signal after 4380 hours
        SlaughterVec(1) = 4380 + round(8760*rand(1,1));
     end
     
     
     SlaughterVec_exp = zeros(1,Sc_emergency_tonnes_exp+1);
     if Sc_emergency_tonnes_exp == 0
         SlaughterVec_exp(1)=0;
     else %Impose Signal after 4380 hours
        SlaughterVec_exp(1) = 4380 + round(8760*rand(1,1));
     end

 % Waiting cage prohib
    Sc_waitcage = Input1(15,2);
     
     
 % ------------- FLEET ------------------------------------
    
    % PROCESSING VESSEL
    Proc_amount = Input1(29,2);
    Proc_cap = Input1(29,3);
    Proc_speed = Input1(29,4);
    Proc_down = Input1(29,5);
    
    % LIVE FISH CARRIER
    LFC_amount = Input1(30,2);
    LFC_cap = Input1(30,3);
    LFC_speed = Input1(30,4);
    LFC_down = Input1(30,5);
    
    % SLAUGHTERING FACILITIES
    SF_cap = Input1(31,3);
    SF_down = Input1(31,5);
    
    % TRUCKS
    Truck_amount = Input1(32,2);
    Truck_cap = Input1(32,3);
    Truck_speed = Input1(32,4);
    Truck_down = Input1(32,5);
    
    % LIVE FISH CARRIER
    CC_amount = Input1(33,2);
    CC_cap = Input1(33,3);
    CC_speed = Input1(33,4);
    CC_down = Input1(33,5);
    
    
 %------------- MARKET DISTRUBUTION -------------------
 
      M_TotWest = Input2(11,9);
      M_TotGardemoen = Input2(12,9);
      M_TotEast = Input2(13,9);
      M_TotNordic = Input2(14,9);
      
      M_DK = Input2(4,9);
      M_BL_NL = Input2(5,9);
      M_GER = Input2(6,9);
      M_FR = Input2(7,9);
      M_ES = Input2(8,9);
      M_UK = Input2(9,9);
      M_PT = Input2(10,9);
      
      M_TotWest_II = Input2(11,10);
      M_TotEast_II = Input2(13,10);
      M_TotGardemoen_II = Input2(12,11);
      M_TotNordic_II = Input2(14,11);
      
      M_DK_II = Input2(4,10);
      M_BL_NL_II = Input2(5,10);
      M_GER_II = Input2(6,10);
      M_FR_II = Input2(7,10);
      M_ES_II = Input2(8,10);
      M_UK_II = Input2(9,10);
      M_PT_II = Input2(10,10);
      
 %-----------Driving Distances ---------------------
 
 % Nutical Miles, Cargo Vessel, Sandstand - Esbjerg
     Nm_Hitra_DK = Input1(67,1);
    %From Jstenya
     Km_DK = Input2(4,6);
      Km_BL_NL = Input2(5,6);
      Km_GER = Input2(6,6);
      Km_FR = Input2(7,6);
      Km_ES = Input2(8,6);
      Km_UK = Input2(9,6);
      Km_PT = Input2(10,6);
      
      Km_Gardemoen = Input2(12,6);
      Km_PL = Input2(13,6);
      Km_North = Input2(14,6);
    
      %From Esbjerg
      Km_DK_II = Input2(4,7);
      Km_BL_NL_II = Input2(5,7);
      Km_GER_II = Input2(6,7);
      Km_FR_II = Input2(7,7);
      Km_ES_II = Input2(8,7);
      Km_UK_II = Input2(9,7);
      Km_PT_II = Input2(10,7);
      
      Km_PL_II = Input2(13,7);
      
    %------ Berths, Manouvering and loading operations----------
    CC_moor = Input1(70,1);
    Proc_moor = Input1(74,1);
    LFC_moor = Input1(72,1);
    
    Esbjerg_cap = Input1(74,4);
    Josten_cap = Input1(70,4);
    Nord_cap = Input1(72,4);
    
    
    %------FARM LOCATIONS-----------------
    Jostenoya = zeros(1,18);
    Nordskaget = zeros(1,18);
    
    for i = 1:18
    Jostenoya(i) = Input1(40+i,2);
    Nordskaget(i) = Input1(40+i,3);
    i = i+1;
    end
    
    Exposed_Jostenoya = zeros(1,1);
    Exposed_Nordskaget = zeros(1,1);
 for i = 1:1
    Exposed_Jostenoya(i) = Input1(40+i,6);
    Exposed_Nordskaget(i) = Input1(40+i,7);
    i = i+1;
 end
    

 